Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.

From: John Kehayias <[email-masked]>
Date: Fri, 15 Oct 2021 05:48:32 +0000

Hi all,

I realized I never followed up here when I had messaged https://issues.guix.gnu.org/50860  about other world rebuild changes. Namely p11-kit and Mesa.

I've worked around the p11-kit Flatpak bug in my Flatpak update patches here: https://issues.guix.gnu.org/51100  This can be done on master and I think will fix xdg-desktop-portal-gtk builds on core-updates-frozen (possibly needing a libxml2 input added for some reason).

This introduces a p11-kit-next with a version update and the Flatpak fix, so that can be the new p11-kit in the next core-updates cycle. (Assuming there are no objections to the p11-kit configuration change; I'm not sure why the flag was set the way it was originally.) The updated Flatpak package definition uses this package directly to fix its bug. But all of that doesn't need the big rebuilds, so no worries there.

As for Mesa, they continue at a fast pace. 21.1.8 is the latest bugfix release on 21.1 which should be graftable from what we have in core-updates-frozen already. I didn't submit a 21.1.8 patch but should just be a version bump.

If desired, the latest 21.2 (latest stable version) release patch is available at https://issues.guix.gnu.org/50170  I know it builds on x86_64 at least, but haven't tested dependents. Anyway, I mention here for completeness with my earlier messages.

I'm running my main machine on core-updates-frozen, so I'm happy to test how things go once we get these big rebuilds done.

John